net.sourceforge.pmd.cpd

## Class CSVRenderer

- java.lang.Object
- - net.sourceforge.pmd.cpd.CSVRenderer

All Implemented Interfaces:
  Renderer

    public class CSVRenderer
    extends Object
    implements Renderer

### Field Summary

Fields
`static char` `DEFAULT_SEPARATOR`

### Constructor Summary

Constructors
Constructor and Description
`CSVRenderer()`
`CSVRenderer(char separatorChar)`

### Method Summary

Methods
`String` `render(Iterator<Match> matches)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_SEPARATOR

    public static final char DEFAULT_SEPARATOR

See Also:
  Constant Field Values

### Constructor Detail

#### CSVRenderer

    public CSVRenderer()

#### CSVRenderer

    public CSVRenderer(char separatorChar)

### Method Detail

#### render

    public String render(Iterator<Match> matches)

Specified by:
  `render` in interface `Renderer`